### Name: bargraph
### Title: ~~function to do ... ~~
### Aliases: bargraph
### Keywords: ~kwd1 ~kwd2

### ** Examples

##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--    or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (dv, iv, grp = NULL, width = 1, space = 0.5, ymin, xmin = 0, 
    ymax, xlabs = c("N"), xmax, xlab, ylab1, ylab2, ylabs = c("N"), 
    xlabelsfontsize = 1, ylabelsfontsize = 1, ytitlefontsize, 
    ylabpos = 4, sublabel = c(""), plotting = T, legnd, errorbars = "None", 
    ...) 
{
    old.par <- par(no.readonly = T)
    on.exit(par(old.par))
    if (missing(ylab1)) 
        ylab1 <- deparse(substitute(dv))
    if (missing(ylab2)) 
        ylab2 <- ""
    if (missing(grp)) {
        means <- tapply(dv, iv, mean)
        stdev <- tapply(dv, iv, sd)
        n <- tapply(dv, iv, length)
        sterr <- stdev/sqrt(n)
        if (missing(xlab)) 
            xlab <- deparse(substitute(iv))
        legnd <- NULL
    }
    else {
        means <- tapply(dv, list(grp, iv), mean)
        stdev <- tapply(dv, list(grp, iv), sd)
        n <- tapply(dv, list(grp, iv), length)
        sterr <- stdev/sqrt(n)
        if (missing(xlab)) 
            xlab <- deparse(substitute(iv))
        if (missing(legnd)) 
            legnd <- c(levels(grp))
    }
    if (ymax == "NULL") {
        if (errorbars == "se") {
            y.heights <- means + sterr + ((means + sterr) * 0.05)
        }
        else if (errorbars == "sd") {
            y.heights = means + stdev + ((means + stdev) * 0.05)
        }
        else y.heights = means
        ymax <- max(y.heights)
    }
    if (ymin == "NULL") {
        ymin <- 0
    }
    y <- seq(ymin, ymax, by = ymax/5)
    yy <- seq(ymin, ymax, by = ymax/25)
    if (ylabs == "N") 
        ylabs <- seq(ymin, ymax, by = ymax/5)
    if (plotting == F) 
        barcolor <- c("white")
    if (plotting == F) 
        means <- c(0, 0)
    par(lwd = 2)
    x <- barplot(means, ylab = "", axes = FALSE, ylim = c(ymin, 
        ymax), width = width, axisnames = FALSE, beside = T, 
        xpd = F, legend.text = legnd, )
    if (errorbars == "se") {
        if (plotting == T) 
            arrows(x, means, x, means - sterr, angle = 90, length = 0.05, 
                lwd = 2)
        if (plotting == T) 
            arrows(x, means, x, means + sterr, angle = 90, length = 0.05, 
                lwd = 2)
    }
    else if (errorbars == "sd") {
        if (plotting == T) 
            arrows(x, means, x, means - stdev, angle = 90, length = 0.05, 
                lwd = 2)
        if (plotting == T) 
            arrows(x, means, x, means + stdev, angle = 90, length = 0.05, 
                lwd = 2)
    }
    axis(2, las = 1, lwd = 2, cex.axis = ylabelsfontsize, font = 2)
    if (missing(grp)) {
        x <- c(0.02, x)
        xlabs <- levels(iv)
    }
    else {
        xlabs <- levels(iv)
        xleg <- max(x)
        xx <- split(x, gl(length(levels(iv)), length(levels(grp))))
        xx <- sapply(xx, mean)
        x <- c(0.02, xx)
    }
    print(xlabs)
    xlabs <- c("", xlabs)
    axis(1, at = x, pos = ymin, labels = xlabs, lwd = 2, cex.axis = xlabelsfontsize, 
        tick = TRUE, font = 2)
    mtext(ylab1, 2, line = 3, font = 2, cex = 1.5)
    mtext(ylab2, 2, line = 2.2, font = 2, cex = 1.5)
    mtext(xlab, 1, line = 3, font = 2, cex = 1.5)
    par(old.par)
    x
  }



